Bug 72283 - eth0 configuration fails for ne2000 type card
eth0 configuration fails for ne2000 type card
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-22 14:37 EDT by mikej3
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:32:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mikej3 2002-08-22 14:37:38 EDT
Description of Problem:

Configuration of LinkSys NE2000-type card causes GUI applet in Control Pnael to 
bomb.  

Version-Release number of selected component (if applicable):


How Reproducible:

Attempt to configure unrecognized LinkSys NE2000-type card using GUI applet in 
either KDE or Gnome.  This has failed on both a 180 Mhz PPro and a 90 MHz P90 
machine.  

Steps to Reproduce:
1. Install RH 7.3, Start KDE
2. Open Control Panel, run network configuration applet
3. Click "Apply", get following output, card not configured.  

Actual Results:
Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    
gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in 
mainloop
    _gtk.gtk_main()
  File 
"/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = 
apply(self.func, a)
  File "/usr/sbin/neat", line 449, in 
on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 287, in 
save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    
hardwarelist.save()
  File 
"/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py", line 
288, in save
    modules[hw.Card.ModuleName]['options'][confkey] = 
str(hw.Card.__dict__[selfkey])
KeyError: options

Local variables in innermost 
frame:
isdn: <netconfpkg.NCisdnhardware.ConfISDN instance at 848c4c8>
hw: 
<netconfpkg.HardwareList.Hardware instance at 8580948>
selfkey: IoPort
wvdial: 
<netconfpkg.ConfSMB.ConfSMB instance at 868e6a8>
modules: 
<netconfpkg.NCHardwareList.MyConfModules instance at 857c5e0>
confkey: io
self: 
[<netconfpkg.HardwareList.Hardware instance at 8580948>]


Expected Results:

Configured eth0 interface on LynkSys card

Additional Information:
	
I have been using these cards since RH 5 something or other, and this was a 
clean install rather than an upgrade.  On the P90, I was able to modprobe in the 
ne module, and after a few swift kicks to the modules configuration was able to 
get the LAN configured.  This has not yet been done on the PPro 180 system.
Comment 1 Bill Nottingham 2006-08-04 23:51:48 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 10:32:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.